/*
 * Preliminary DMA controller framework for AVR32
 *
 * Copyright (C) 2005-2006 Atmel Corporation
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */
#include <asm/dma-controller.h>

static LIST_HEAD(controllers);

int register_dma_controller(struct dma_controller *dmac)
{
	static int next_id;

	dmac->id = next_id++;
	list_add_tail(&dmac->list, &controllers);

	return 0;
}
EXPORT_SYMBOL(register_dma_controller);

struct dma_controller *find_dma_controller(int id)
{
	struct dma_controller *dmac;

	list_for_each_entry(dmac, &controllers, list)
		if (dmac->id == id)
			return dmac;
	return NULL;
}
EXPORT_SYMBOL(find_dma_controller);
